System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Description.ServiceDescriptionBaseCollection

This collection can either contain instances of classes deriving from , or instances of the class. In a derived class, class allows users to define extensibility elements in addition to those defined in the Web Services Description Language (WSDL) specification. Use these in your if you know in advance the type of extensibility element you want to make. Use an when you do not know the format of an element in advance.

Represents the collection of extensibility elements used by the XML Web service. This class cannot be inherited.

- Constructor

  Since many of the classes in the namespace expose an Extensions property representing a , the constructor assigns a parent object corresponding to the level within the Web Services Description Language (WSDL) hierarchy where the current ServiceDescriptionFormatExtensionCollection is nested. For more information about WSDL, see the specification at http://www.w3.org/TR/wsdl/.

  Initializes a new instance of the class.

  The object of which this collection is a member.
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` To be added

  Adds the specified to the end of the .

  The zero-based index where the has been added.

  The , passed by reference, to add to the . 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Returns a value indicating whether the specified is a member of the .

  true if the is a member of the collection; otherwise, false.

  The for which to check collection membership. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Copies the entire into a one-dimensional array of type , starting at the specified zero-based index of the target array.

  An array of type serving as the destination of the copy action. The zero-based index at which to start placing the copied collection. 1.0.5000.0 2.0.0.0
- Method
  System.Object ``

  This method searches the collection in index order, and returns only the matching element with the lowest-numbered index.

  Searches the and returns the first element of the specified derived .

  If the search is successful, an object of the specified ; otherwise, null.

  A for which to search the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlElement `` ``

  This method searches the collection in index order, and returns the first that meets the criteria of the two parameters.

  Searches the for a member with the specified name and namespace URI.

  If the search is successful, an ; otherwise, null.

  The name of the to be found. The XML namespace URI of the to be found. 1.0.5000.0 2.0.0.0
- Method
  System.Object[] ``

  The array returned is empty if the search is unsuccessful.

  Searches the and returns an array of all elements of the specified .

  An array of instances representing all collection members of the specified type.

  A for which to search the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlElement[] `` ``

  The array returned is empty if the search is unsuccessful.

  Searches the and returns an array of all members with the specified name and namespace URI.

  An array of instances.

  The XML name attribute of the objects to be found. The XML namespace URI attribute of the objects to be found. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Searches for the specified and returns the zero-based index of the first instance with the collection.

  The zero-based index of the specified , or -1 if the element was not found in the collection.

  The for which to search in the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  If the number of items in the collection already equals the collection's capacity, the capacity is doubled by automatically reallocating the internal array before the new element is inserted.

  If the parameter is equal to , the parameter is added to the end of the .

  The elements after the insertion point move down to accommodate the new element.

  Adds the specified to the at the specified zero-based index.

  The zero-based index at which to insert the parameter. The to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  This method checks whether the parameter is an or a (or a derived class) before determining whether it is supported by the XML Web service.

  Returns a value indicating whether the specified object is used by the import process when the extensibility element is imported into the XML Web service.

  true if the parameter is used; otherwise, false.

  An object, either of type or to check for use by the import process. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Returns a value indicating whether the specified object is necessary for the operation of the XML Web service.

  true if the parameter is required; otherwise, false.

  An object, either of type or , to check whether it is necessary. 1.0.5000.0 2.0.0.0
- Property
  System.Object `` To be added: an object of type 'int' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Removes the first occurrence of the specified from the .

  The to remove from the . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` a a To be added To be added 1.0.5000.0 2.0.0.0